{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "field_text_dynamic",
        "viewFieldName" : "TESTID"
      }, {
        "id" : "field_text_dynamic1",
        "viewFieldName" : "TESTNAME"
      }, {
        "id" : "field_textbox",
        "viewFieldName" : "TESTNAME"
      }, {
        "id" : "field_textbox1",
        "viewFieldName" : "TESTNAME"
      }, {
        "id" : "field_textbox2",
        "viewFieldName" : "TESTNAME"
      } ],
      "codeName" : "Usr0522433048",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository/PSPANELS/Usr0522433048.json",
      "layoutMode" : "TABLE_24COL",
      "logicName" : "List_列表项面板",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
      },
      "getPSControlParam" : {
        "id" : "panel"
      },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRootPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 6,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "文本(动态)",
            "fieldStates" : 3,
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic",
            "getPSEditor" : {
              "editorParams" : {
                "READONLY" : "TRUE"
              },
              "editorType" : "SPAN",
              "name" : "field_text_dynamic",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false,
              "readOnly" : true
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "TESTID",
            "hidden" : false,
            "showCaption" : false
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 6,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic1",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field_text_dynamic1",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "TESTNAME",
            "hidden" : false,
            "showCaption" : false
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      }, {
        "caption" : "文本框",
        "contentHeight" : 60.0,
        "contentWidth" : 400.0,
        "height" : 60.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_textbox",
        "getPSEditor" : {
          "editorHeight" : 60.0,
          "editorType" : "RAW",
          "editorWidth" : 400.0,
          "name" : "field_textbox",
          "predefinedType" : "FIELD_TEXTBOX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "height" : 60,
          "heightMode" : "PX",
          "layout" : "TABLE_24COL",
          "width" : 400,
          "widthMode" : "PX"
        },
        "viewFieldName" : "TESTNAME",
        "width" : 400.0,
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "文本框",
        "contentHeight" : 100.0,
        "contentWidth" : 600.0,
        "height" : 100.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_textbox1",
        "getPSEditor" : {
          "editorHeight" : 100.0,
          "editorParams" : {
            "contenttype" : "RAW"
          },
          "editorType" : "RAW",
          "editorWidth" : 600.0,
          "name" : "field_textbox1",
          "predefinedType" : "FIELD_TEXTBOX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "height" : 100,
          "heightMode" : "PX",
          "layout" : "TABLE_24COL",
          "width" : 600,
          "widthMode" : "PX"
        },
        "viewFieldName" : "TESTNAME",
        "width" : 600.0,
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "文本框",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_textbox2",
        "getPSEditor" : {
          "contentType" : "HTML",
          "editorParams" : {
            "contenttype" : "HTML"
          },
          "editorType" : "RAW",
          "name" : "field_textbox2",
          "predefinedType" : "FIELD_TEXTBOX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "viewFieldName" : "TESTNAME",
        "hidden" : false,
        "showCaption" : false
      } ],
      "name" : "panel",
      "modelid" : "01B1D530-723C-4CB4-A877-5F5E3CFC11AF",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "WORKITEMNAME",
        "codeName" : "WORKITEMName"
      }
    }, {
      "dataType" : 25,
      "name" : "workitemname",
      "getPSAppDEField" : {
        "name" : "WORKITEMNAME",
        "codeName" : "WORKITEMName"
      }
    }, {
      "dataType" : 25,
      "name" : "workitemid",
      "getPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      }
    } ],
    "getPSDEUIActionGroup" : {
      "codeName" : "Usr0803774731",
      "name" : "门户界面行为组",
      "getPSUIActionGroupDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "detailType" : "DEUIACTION",
        "name" : "u71a8bd4",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "codeName" : "New",
          "fullCodeName" : "New",
          "name" : "表格界面_新建操作",
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "predefinedType" : "GRIDVIEW_NEWACTION",
          "refreshMode" : 1,
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "New",
          "uIActionType" : "DEUIACTION",
          "reloadData" : true
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "detailType" : "DEUIACTION",
        "name" : "uea72408",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "百度",
        "detailType" : "DEUIACTION",
        "name" : "ubae97f0",
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "百度",
          "codeName" : "openBaidu",
          "counterId" : "openBaidu",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "openBaidu",
          "htmlPageUrl" : "https://www.baidu.com/",
          "name" : "百度",
          "getPSAppCounter" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
          },
          "timeout" : 60000,
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openBaidu",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "detailType" : "DEUIACTION",
        "name" : "uee0dcd7",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ]
    },
    "pagingSize" : 50,
    "getTextPSAppDEField" : {
      "name" : "WORKITEMNAME",
      "codeName" : "WORKITEMName"
    },
    "getValuePSAppDEField" : {
      "name" : "WORKITEMID",
      "codeName" : "WORKITEMId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "WORKITEMID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "WORKITEMID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchITEMQUERY",
    "dataSetName" : "ITEMQUERY",
    "dataSetTag" : "ITEMQUERY",
    "methodType" : "FETCH",
    "name" : "FetchITEMQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "ITEMQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchITEMQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchitemquery",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchTOPQUERY",
    "dataSetName" : "TOPQUERY",
    "dataSetTag" : "TOPQUERY",
    "methodType" : "FETCH",
    "name" : "FetchTOPQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "TOPQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchTOPQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchtopquery",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[BH][编号]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[BH][编号]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[BH][编号]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[BH][编号]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "BH",
    "logicName" : "编号",
    "name" : "BH",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[TYPE][类型]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "DROPDOWNLIST",
        "name" : "[TYPE][类型]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "needCodeListConfig" : true
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[TYPE][类型]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBDROPDOWNLIST",
        "name" : "[TYPE][类型]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true,
        "needCodeListConfig" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "TYPE",
    "logicName" : "类型",
    "name" : "TYPE",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[BEGIN][开始时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBDATE",
        "name" : "[BEGIN][开始时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[BEGIN][开始时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "DATEPICKER",
        "name" : "[BEGIN][开始时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "BEGIN",
    "logicName" : "开始时间",
    "name" : "BEGIN",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[END][截至时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "DATEPICKER",
        "name" : "[END][截至时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[END][截至时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBDATE",
        "name" : "[END][截至时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "END",
    "logicName" : "截至时间",
    "name" : "END",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[HEAD][负责人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[HEAD][负责人]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[HEAD][负责人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[HEAD][负责人]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "HEAD",
    "logicName" : "负责人",
    "name" : "HEAD",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[FOLLOWER][关注人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[FOLLOWER][关注人]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[FOLLOWER][关注人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[FOLLOWER][关注人]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "FOLLOWER",
    "logicName" : "关注人",
    "name" : "FOLLOWER",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[PX][排序]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[PX][排序]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[PX][排序]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[PX][排序]",
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "PX",
    "logicName" : "排序",
    "name" : "PX",
    "stdDataType" : 6
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[WORKITEMNAME][工作项名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.WORKITEMNAME"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[WORKITEMNAME][工作项名称]",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[WORKITEMNAME][工作项名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.WORKITEMNAME"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[WORKITEMNAME][工作项名称]移动端默认",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "WORKITEMName",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.WORKITEMNAME"
    },
    "logicName" : "工作项名称",
    "name" : "WORKITEMNAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[WORKITEMID][工作项标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.WORKITEMID"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[WORKITEMID][工作项标识]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[WORKITEMID][工作项标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.WORKITEMID"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[WORKITEMID][工作项标识]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "WORKITEMId",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.WORKITEMID"
    },
    "logicName" : "工作项标识",
    "name" : "WORKITEMID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEMAN"
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE"
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN"
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEDATE"
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[PWORKITEMID][父工作项标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "HIDDEN",
        "name" : "[PWORKITEMID][父工作项标识]移动端默认",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[PWORKITEMID][父工作项标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "HIDDEN",
        "name" : "[PWORKITEMID][父工作项标识]",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "Pworkitemid",
    "logicName" : "父工作项标识",
    "name" : "PWORKITEMID",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[PWORKITEMNAME][工作项名称]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBPICKER",
        "name" : "[PWORKITEMNAME][工作项名称]移动端默认",
        "refLinkPSDEViewCodeName" : "RedirectView",
        "refMPickupPSDEViewCodeName" : "MPickupView",
        "getRefPSDEACMode" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACMODES/Default.json"
        },
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "refPickupPSDEViewCodeName" : "PickupView",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[PWORKITEMNAME][工作项名称]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "PICKER",
        "name" : "[PWORKITEMNAME][工作项名称]",
        "refLinkPSDEViewCodeName" : "RedirectView",
        "refMPickupPSDEViewCodeName" : "MPickupView",
        "getRefPSDEACMode" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACMODES/Default.json"
        },
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "refPickupPSDEViewCodeName" : "PickupView",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "Pworkitemname",
    "logicName" : "工作项名称",
    "name" : "PWORKITEMNAME",
    "stdDataType" : 25,
    "stringLength" : 200
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "WORKITEMDTO",
    "name" : "WORKITEMDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "BH",
      "logicName" : "编号",
      "name" : "BH",
      "getPSAppDEField" : {
        "name" : "BH",
        "codeName" : "BH"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "TYPE",
      "logicName" : "类型",
      "name" : "TYPE",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "TYPE"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "BEGIN",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "开始时间",
      "name" : "BEGIN",
      "getPSAppDEField" : {
        "name" : "BEGIN",
        "codeName" : "BEGIN"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE"
    }, {
      "codeName" : "END",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "截至时间",
      "name" : "END",
      "getPSAppDEField" : {
        "name" : "END",
        "codeName" : "END"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE"
    }, {
      "codeName" : "HEAD",
      "logicName" : "负责人",
      "name" : "HEAD",
      "getPSAppDEField" : {
        "name" : "HEAD",
        "codeName" : "HEAD"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "FOLLOWER",
      "logicName" : "关注人",
      "name" : "FOLLOWER",
      "getPSAppDEField" : {
        "name" : "FOLLOWER",
        "codeName" : "FOLLOWER"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "PX",
      "logicName" : "排序",
      "name" : "PX",
      "getPSAppDEField" : {
        "name" : "PX",
        "codeName" : "PX"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 6,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CreateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "Pworkitemid",
      "logicName" : "父工作项标识",
      "name" : "Pworkitemid",
      "getPSAppDEField" : {
        "name" : "PWORKITEMID",
        "codeName" : "Pworkitemid"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Pworkitemname",
      "logicName" : "工作项名称",
      "name" : "Pworkitemname",
      "getPSAppDEField" : {
        "name" : "PWORKITEMNAME",
        "codeName" : "Pworkitemname"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "WORKITEMId",
      "logicName" : "工作项标识",
      "name" : "WORKITEMId",
      "getPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "WORKITEMName",
      "logicName" : "工作项名称",
      "name" : "WORKITEMName",
      "getPSAppDEField" : {
        "name" : "WORKITEMNAME",
        "codeName" : "WORKITEMName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "WORKITEMFilterDTO",
    "name" : "WORKITEMFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_PWORKITEMID_EQ",
      "logicName" : "父工作项标识",
      "name" : "N_PWORKITEMID_EQ",
      "getPSAppDEField" : {
        "name" : "PWORKITEMID",
        "codeName" : "Pworkitemid"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PWORKITEMNAME_EQ",
      "logicName" : "工作项名称",
      "name" : "N_PWORKITEMNAME_EQ",
      "getPSAppDEField" : {
        "name" : "PWORKITEMNAME",
        "codeName" : "Pworkitemname"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PWORKITEMNAME_LIKE",
      "logicName" : "工作项名称",
      "name" : "N_PWORKITEMNAME_LIKE",
      "getPSAppDEField" : {
        "name" : "PWORKITEMNAME",
        "codeName" : "Pworkitemname"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_TYPE_EQ",
      "logicName" : "类型",
      "name" : "N_TYPE_EQ",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "TYPE"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_WORKITEMID_EQ",
      "logicName" : "工作项标识",
      "name" : "N_WORKITEMID_EQ",
      "getPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_WORKITEMNAME_LIKE",
      "logicName" : "工作项名称",
      "name" : "N_WORKITEMNAME_LIKE",
      "getPSAppDEField" : {
        "name" : "WORKITEMNAME",
        "codeName" : "WORKITEMName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "WORKITEMID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "WORKITEMID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchITEMQUERY",
    "dataSetName" : "ITEMQUERY",
    "dataSetTag" : "ITEMQUERY",
    "methodType" : "FETCH",
    "name" : "FetchITEMQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "ITEMQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchITEMQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchitemquery",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchTOPQUERY",
    "dataSetName" : "TOPQUERY",
    "dataSetTag" : "TOPQUERY",
    "methodType" : "FETCH",
    "name" : "FetchTOPQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "WORKITEMDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "TOPQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchTOPQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchtopquery",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEUIActions" : [ {
    "actionTarget" : "SINGLEKEY",
    "caption" : "编辑",
    "codeName" : "Edit",
    "getFrontPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMEditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "frontProcessType" : "WIZARD",
    "fullCodeName" : "WORKITEM_Edit",
    "name" : "编辑",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "Edit",
    "uIActionType" : "DEUIACTION",
    "id" : "Edit@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "编辑",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
    "name" : "编辑",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "updateTreeNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "删除",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
    "name" : "删除",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "removeTreeNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "新建分组项",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
    "name" : "新建分组项",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "newTreeNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "新建分组",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
    "name" : "新建分组",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "newTreeGroupNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "编辑",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
    "name" : "编辑",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "updateTreeNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "删除",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
    "name" : "删除",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "removeTreeNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "新建分组项",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click",
    "name" : "新建分组项",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "newTreeNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click@WORKITEM"
  }, {
    "actionTarget" : "SINGLEDATA",
    "caption" : "新建分组",
    "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click",
    "name" : "新建分组",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "newTreeGroupNode"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click",
    "uIActionType" : "DEUIACTION",
    "uILogicAttachMode" : "REPLACE",
    "uILogicType" : "DELOGIC",
    "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click@WORKITEM"
  } ],
  "getAllPSAppDEUILogics" : [ {
    "codeName" : "newTreeGroupNode",
    "defaultParamName" : "Default",
    "logicName" : "新建分组",
    "name" : "新建分组",
    "getPSDEUILogicNodes" : [ {
      "codeName" : "Begin",
      "leftPos" : 200,
      "logicNodeType" : "BEGIN",
      "name" : "开始",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "topPos" : 200,
      "parallelOutput" : true
    }, {
      "codeName" : "PREPAREJSPARAM1",
      "leftPos" : 331,
      "logicNodeType" : "PREPAREJSPARAM",
      "name" : "准备参数",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        }
      } ],
      "getPSDEUILogicNodeParams" : [ {
        "dstFieldName" : "username",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "create_default"
        },
        "name" : "context[srfusername] ==> create_default[username]",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "srfusername",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "context"
        },
        "srcValueType" : "SRCDLPARAM"
      }, {
        "dstFieldName" : "nodeType",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "input"
        },
        "name" : "直接值[group] ==> input[nodeType]",
        "paramAction" : "SETPARAMVALUE",
        "srcValue" : "group",
        "srcValueType" : "SRCVALUE"
      }, {
        "dstFieldName" : "defaultValue",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "input"
        },
        "name" : "create_default ==> input[defaultValue]",
        "paramAction" : "SETPARAMVALUE",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "create_default"
        },
        "srcValueType" : "SRCDLPARAM"
      } ],
      "topPos" : 208
    }, {
      "codeName" : "VIEWCTRLINVOKE1",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "treeexpbar_tree"
      },
      "invokeMethod" : "newTreeNode",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "input"
      },
      "leftPos" : 518,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "name" : "视图部件调用",
      "topPos" : 208
    } ],
    "getPSDEUILogicParams" : [ {
      "codeName" : "input",
      "logicName" : "新建节点参数",
      "name" : "新建节点参数",
      "entityParam" : true
    }, {
      "codeName" : "create_default",
      "logicName" : "新建默认值对象",
      "name" : "新建默认值对象",
      "entityParam" : true
    }, {
      "codeName" : "treeexpbar_tree",
      "logicName" : "树分页导航树部件",
      "name" : "树分页导航树部件",
      "ctrlParam" : true
    }, {
      "codeName" : "context",
      "logicName" : "应用上下文对象",
      "name" : "应用上下文对象",
      "navContextParam" : true
    }, {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "name" : "传入变量",
      "default" : true,
      "entityParam" : true
    } ],
    "getStartPSDEUILogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    }
  }, {
    "codeName" : "newTreeNode",
    "defaultParamName" : "Default",
    "logicName" : "新建分组项",
    "name" : "新建分组项",
    "getPSDEUILogicNodes" : [ {
      "codeName" : "Begin",
      "leftPos" : 200,
      "logicNodeType" : "BEGIN",
      "name" : "开始",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "topPos" : 200,
      "parallelOutput" : true
    }, {
      "codeName" : "VIEWCTRLINVOKE1",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "treeexpbar_tree"
      },
      "invokeMethod" : "newTreeNode",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "input"
      },
      "leftPos" : 535,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "name" : "视图部件调用",
      "topPos" : 208
    }, {
      "codeName" : "PREPAREJSPARAM1",
      "leftPos" : 334,
      "logicNodeType" : "PREPAREJSPARAM",
      "name" : "准备参数",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        }
      } ],
      "getPSDEUILogicNodeParams" : [ {
        "dstFieldName" : "test_field",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "defaultValue"
        },
        "name" : "context[srfusername] ==> defaultValue[test_field]",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "srfusername",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "context"
        },
        "srcValueType" : "SRCDLPARAM"
      }, {
        "dstFieldName" : "nodeType",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "input"
        },
        "name" : "直接值[item] ==> input[nodeType]",
        "paramAction" : "SETPARAMVALUE",
        "srcValue" : "item",
        "srcValueType" : "SRCVALUE"
      }, {
        "dstFieldName" : "defaultValue",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "input"
        },
        "name" : "defaultValue ==> input[defaultValue]",
        "paramAction" : "SETPARAMVALUE",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "defaultValue"
        },
        "srcValueType" : "SRCDLPARAM"
      } ],
      "topPos" : 208
    } ],
    "getPSDEUILogicParams" : [ {
      "codeName" : "defaultValue",
      "logicName" : "默认值",
      "name" : "默认值",
      "entityParam" : true
    }, {
      "codeName" : "input",
      "logicName" : "新建节点参数",
      "name" : "新建节点参数",
      "entityParam" : true
    }, {
      "codeName" : "treeexpbar_tree",
      "logicName" : "树分页导航树部件",
      "name" : "树分页导航树部件",
      "ctrlParam" : true
    }, {
      "codeName" : "context",
      "logicName" : "上下文对象",
      "name" : "上下文对象",
      "navContextParam" : true
    }, {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "name" : "传入变量",
      "default" : true,
      "entityParam" : true
    } ],
    "getStartPSDEUILogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    }
  }, {
    "codeName" : "removeTreeNode",
    "defaultParamName" : "Default",
    "logicName" : "删除树当前节点",
    "name" : "删除树当前节点",
    "getPSDEUILogicNodes" : [ {
      "codeName" : "Begin",
      "leftPos" : 200,
      "logicNodeType" : "BEGIN",
      "name" : "开始",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "topPos" : 200,
      "parallelOutput" : true
    }, {
      "codeName" : "PREPAREJSPARAM1",
      "leftPos" : 296,
      "logicNodeType" : "PREPAREJSPARAM",
      "name" : "准备参数",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        }
      } ],
      "getPSDEUILogicNodeParams" : [ {
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "id"
        },
        "name" : "Default[id] ==> id",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "id",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "Default"
        },
        "srcValueType" : "SRCDLPARAM"
      } ],
      "topPos" : 208
    }, {
      "codeName" : "VIEWCTRLINVOKE1",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "treeexpbar_tree"
      },
      "invokeMethod" : "removeTreeNode",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "id"
      },
      "leftPos" : 492,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "name" : "视图部件调用",
      "topPos" : 208
    } ],
    "getPSDEUILogicParams" : [ {
      "codeName" : "treeexpbar_tree",
      "logicName" : "树导航树部件",
      "name" : "树导航树部件",
      "ctrlParam" : true
    }, {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "name" : "传入变量",
      "default" : true,
      "entityParam" : true
    }, {
      "codeName" : "id",
      "logicName" : "id",
      "name" : "id",
      "entityParam" : true
    } ],
    "getStartPSDEUILogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    }
  }, {
    "codeName" : "updateTreeNode",
    "defaultParamName" : "Default",
    "logicName" : "编辑树当前节点",
    "name" : "编辑树当前节点",
    "getPSDEUILogicNodes" : [ {
      "codeName" : "Begin",
      "leftPos" : 200,
      "logicNodeType" : "BEGIN",
      "name" : "开始",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "topPos" : 200,
      "parallelOutput" : true
    }, {
      "codeName" : "PREPAREJSPARAM1",
      "leftPos" : 298,
      "logicNodeType" : "PREPAREJSPARAM",
      "name" : "准备参数",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "PREPAREJSPARAM1"
        }
      } ],
      "getPSDEUILogicNodeParams" : [ {
        "dstFieldName" : "test_field",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "defaultValue"
        },
        "name" : "context[srfusername] ==> defaultValue[test_field]",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "srfusername",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "context"
        },
        "srcValueType" : "SRCDLPARAM"
      }, {
        "dstFieldName" : "defaultValue",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "input"
        },
        "name" : "defaultValue ==> input[defaultValue]",
        "paramAction" : "SETPARAMVALUE",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "defaultValue"
        },
        "srcValueType" : "SRCDLPARAM"
      }, {
        "dstFieldName" : "nodeKey",
        "getDstPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "input"
        },
        "expression" : "console.log('执行了计算')",
        "name" : "Default[id] ==> input[nodeKey]",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "id",
        "getSrcPSDEUILogicParam" : {
          "modelref" : true,
          "id" : "Default"
        },
        "srcValueType" : "SRCDLPARAM"
      } ],
      "topPos" : 208
    }, {
      "codeName" : "VIEWCTRLINVOKE1",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "treeexpbar_tree"
      },
      "invokeMethod" : "updateTreeNode",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "input"
      },
      "leftPos" : 473,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "name" : "视图部件调用",
      "topPos" : 208
    } ],
    "getPSDEUILogicParams" : [ {
      "codeName" : "treeexpbar_tree",
      "logicName" : "树导航树部件",
      "name" : "树导航树部件",
      "ctrlParam" : true
    }, {
      "codeName" : "defaultValue",
      "logicName" : "更新默认值",
      "name" : "更新默认值",
      "entityParam" : true
    }, {
      "codeName" : "input",
      "logicName" : "输入参数",
      "name" : "输入参数",
      "entityParam" : true
    }, {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "name" : "传入变量",
      "default" : true,
      "entityParam" : true
    }, {
      "codeName" : "context",
      "logicName" : "上下文对象",
      "name" : "上下文对象",
      "navContextParam" : true
    } ],
    "getStartPSDEUILogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    }
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMUsr12114819GanttView.json",
    "viewType" : "DEGANTTVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMIndexView.json",
    "viewType" : "DEINDEXVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMUsr12264106CustomTreeGridNodesExpView.json",
    "viewType" : "DETREEEXPVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMTestKanbanView.json",
    "viewType" : "DEKANBANVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMKanbanEditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMEditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMResourceGanttView.json",
    "viewType" : "DEGANTTVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "codeName" : "WORKITEM",
  "dEAPICodeName" : "workitem",
  "dEAPICodeName2" : "workitems",
  "dEAPITag" : "WORKITEM",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "WORKITEMID",
    "codeName" : "WORKITEMId"
  },
  "getLNPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.WORKITEM"
  },
  "logicName" : "工作项",
  "getMajorPSAppDEField" : {
    "name" : "WORKITEMNAME",
    "codeName" : "WORKITEMName"
  },
  "getMinorPSAppDERSs" : [ {
    "actionRSMode" : 1,
    "codeName" : "WORKITEMs",
    "dataRSMode" : 0,
    "majorDECodeName" : "WORKITEM",
    "majorDEName" : "WORKITEM",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "minorDECodeName" : "WORKITEM",
    "minorDEName" : "WORKITEM",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "name" : "DER1N_WORKITEM_WORKITEM_PWORKITEMID",
    "getParentPSAppDEField" : {
      "name" : "PWORKITEMID",
      "codeName" : "Pworkitemid"
    },
    "rSMode" : 2
  } ],
  "name" : "WORKITEM",
  "getPSDEName" : "WORKITEM",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "WORKITEM"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/TrainSys.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "WORKITEMNAME",
    "codeName" : "WORKITEMName"
  } ],
  "storageMode" : 0,
  "sysAPITag" : "TrainSys",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true,
  "getAllPSAppDEUIActionGroups" : [ {
    "codeName" : "Usr1214716958",
    "name" : "看板分组行为组",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "uniqueTag" : "WORKITEM__Usr1214716958",
    "getPSUIActionGroupDetails" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.REMOVE"
      },
      "caption" : "删除",
      "detailType" : "DEUIACTION",
      "name" : "u489854d",
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true,
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Remove"
      }
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT"
      },
      "caption" : "编辑",
      "detailType" : "DEUIACTION",
      "name" : "u2a9f27f",
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true,
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Edit"
      }
    } ]
  } ]
}